fieldset {
  padding: 12px 12px 18px;
  margin-bottom: 16px;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 10px;
  display: flex;
  flex-wrap: wrap;
  gap: 16px;

  @media screen and (max-width: 800px) {
    padding: 8px 10px 18px;
    gap: 8px;
  }
  @media screen and (max-width: 570px) {
    padding: 0 18px 18px;
    gap: 0;
  }
}

fieldset legend {
  padding: 0 8px;
  font-size: 14px;
  font-weight: 500;
  color: rgba(0, 0, 0, 0.6);
}

.mat-mdc-form-field {
  margin-top: 16px;
}

p {
  margin-bottom: 0;
}

p.optional-substep-alert {
  padding-top: 4px;
  padding-bottom: 12px;
  font-size: 0.8rem;
  color: var(--danger);
}

.button-container {
  display: flex;
  gap: 8px;
}
